import { Contracts } from 'ton3-core';
import { WalletTransfer } from '../types/wallet-transfer';
interface ContractHighloadWalletV2Options {
    workchain: number;
    publicKey: Uint8Array;
    subwalletId?: number;
}
declare class ContractHighloadWalletV2 extends Contracts.ContractBase {
    private publicKey;
    private subwalletId;
    constructor(options: ContractHighloadWalletV2Options);
    private static generateQueryId;
    createTransferMessage(transfers: WalletTransfer[], deploy?: boolean, timeout?: number, _queryId?: bigint): Contracts.MessageExternalIn;
    createDeployMessage(): Contracts.MessageExternalIn;
}
export { ContractHighloadWalletV2 };
