"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContractWalletV3R0 = void 0;
const ton3_core_1 = require("ton3-core");
const wallet_1 = require("./wallet");
const COMPILED = 'B5EE9C724101010100620000C0FF0020DD2082014C97BA9730ED44D0D70B1FE0A4F2608308D71820D31FD31FD31FF82313BBF263ED44D0D31FD31FD3FFD15132BAF2A15144BAF2A204F901541055F910F2A3F8009320D74A96D307D402FB00E8D101A4C8CB1FCB1FCBFFC9ED543FBE6EE0';
class ContractWalletV3R0 extends wallet_1.ContractWallet {
    constructor(options) {
        const { workchain, publicKey, subwalletId = 0 } = options;
        const code = ton3_core_1.BOC.fromStandard(COMPILED);
        super({ code, workchain, publicKey, subwalletId });
    }
}
exports.ContractWalletV3R0 = ContractWalletV3R0;
//# sourceMappingURL=wallet-v3-r0.js.map