import { Cell, Contracts } from 'ton3-core';
import { WalletTransfer } from '../types/wallet-transfer';
interface ContracWalletOptions {
    code: Cell;
    workchain: number;
    publicKey: Uint8Array;
    subwalletId?: number;
}
declare class ContractWallet extends Contracts.ContractBase {
    private publicKey;
    private subwalletId;
    constructor(options: ContracWalletOptions);
    createTransferMessage(transfers: WalletTransfer[], seqno: number, timeout?: number): Contracts.MessageExternalIn;
    createDeployMessage(): Contracts.MessageExternalIn;
}
export { ContractWallet };
